summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMatthias Schwarzott <zzam@gentoo.org>2006-07-08 14:31:35 +0000
committerMatthias Schwarzott <zzam@gentoo.org>2006-07-08 14:31:35 +0000
commit9824223e3e301165e61f73d22fa3397901657172 (patch)
tree0910a72146d9ff0b4e6f6e2268858ecd293a035f /eclass
parentFix installing sun-j2me-bin for first time. (diff)
downloadhistorical-9824223e3e301165e61f73d22fa3397901657172.tar.gz
historical-9824223e3e301165e61f73d22fa3397901657172.tar.bz2
historical-9824223e3e301165e61f73d22fa3397901657172.zip
Split up the big sed-command.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/vdr-plugin.eclass25
1 files changed, 19 insertions, 6 deletions
diff --git a/eclass/vdr-plugin.eclass b/eclass/vdr-plugin.eclass
index c1cdb577b863..17be6fde865a 100644
--- a/eclass/vdr-plugin.eclass
+++ b/eclass/vdr-plugin.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/vdr-plugin.eclass,v 1.24 2006/07/05 17:08:54 zzam Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/vdr-plugin.eclass,v 1.25 2006/07/08 14:31:35 zzam Exp $
#
# Author:
# Matthias Schwarzott <zzam@gentoo.org>
@@ -130,22 +130,35 @@ vdr-plugin_src_unpack() {
die "Could not change to plugin-source-directory!"
fi
- ebegin "Patching Makefile"
+ einfo "Patching Makefile"
[[ -e Makefile ]] || die "Makefile of plugin can not be found!"
cp Makefile Makefile.orig
- sed -i.orig Makefile \
+
+ sed -i Makefile \
+ -e '1i\#Makefile was patched by vdr-plugin.eclass'
+
+ ebegin " Setting Pathes"
+ sed -i Makefile \
-e "s:^VDRDIR.*$:VDRDIR = ${VDR_INCLUDE_DIR}:" \
-e "s:^DVBDIR.*$:DVBDIR = ${DVB_INCLUDE_DIR}:" \
-e "s:^LIBDIR.*$:LIBDIR = ${S}:" \
-e "s:^TMPDIR.*$:TMPDIR = ${T}:" \
- -e 's:^CXXFLAGS:#CXXFLAGS:' \
-e 's:-I$(VDRDIR)/include:-I$(VDRDIR):' \
-e 's:-I$(DVBDIR)/include:-I$(DVBDIR):' \
-e 's:-I$(VDRDIR) -I$(DVBDIR):-I$(DVBDIR) -I$(VDRDIR):' \
- -e 's:$(VDRDIR)/\([a-z]*\.h\|Make.config\):$(VDRDIR)/vdr/\1:' \
+ -e 's:$(VDRDIR)/\([a-z]*\.h\|Make.config\):$(VDRDIR)/vdr/\1:'
+ eend $?
+
+ ebegin " Converting to APIVERSION"
+ sed -i Makefile \
-e 's:^APIVERSION = :APIVERSION ?= :' \
-e 's:$(LIBDIR)/$@.$(VDRVERSION):$(LIBDIR)/$@.$(APIVERSION):' \
- -e '1i\APIVERSION = '"${APIVERSION}"
+ -e '2i\APIVERSION = '"${APIVERSION}"
+ eend $?
+
+ ebegin " Correcting CXXFLAGS"
+ sed -i Makefile \
+ -e 's:^CXXFLAGS:#CXXFLAGS:'
eend $?
;;
esac